<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Headline
 */

get_header();
?>
	<?php headline_content_area_begin(); ?>
		<div id="primary" class="content-area">
			<main id="main" class="site-main">

			<?php
			while ( have_posts() ) :
				the_post();

				get_template_part( 'template-parts/content', 'single' );

				the_post_navigation( array(
					'prev_text' => '<span>' . __( 'Previous Post', 'headline' ) . '</span>%title',
					'next_text' => '<span>' . __( 'Next Post', 'headline' ) . '</span>%title',
				) );

				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;

			endwhile; // End of the loop.
			?>

			</main><!-- #main -->
		</div><!-- #primary -->
	<?php headline_content_area_end(); ?>

<?php
get_sidebar();
get_footer();
